gsasl_property_set_raw(3)

NAME
gsasl_property_set_raw - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_property_set_raw(Gsasl_session * sctx, Gsasl_property prop, const char * data, size_t len);

ARGUMENTS

Gsasl_session * sctx
    session handle.

Gsasl_property prop
    enumerated value of Gsasl_property type, indicating the type of data in data .

const char * data
    character string to store.

size_t len
    length of character string to store.

DESCRIPTION
Make a copy of len sized data and store a zero terminated version of it in the session handle for the indicated property prop . You can immediately deallocate data after calling this function, without affecting the data stored in the session handle. Except for the length indicator, this function is identical to gsasl_property_set. Return value: GSASL_OK iff successful, otherwise GSASL_MALLOC_ERROR.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/